/*
// ハンバーガーボタン
*/
.menu_wrap {
	position: fixed;
	top: 23px;
	right: 5%;
	box-sizing: border-box;
	width: 30px;
	height: 14px;
	padding: 0;
	z-index: 9999;
}
.menu_toggle {
	/* imputボタン */
	display: none;
}

/* ボタン */
.menu_icon {
	display: block;
	width: 100%;
	height: 100%;
	cursor: pointer;
	position: relative;
}
.menu_icon span {
	display: block;
	width: 100%;
	height: 2px;
	background-color: #d6d5ca;
	border-radius: 2px;
	transition: all 0.3s;
}
.menu_toggle + .menu_icon span:nth-child(1) {

}
.menu_toggle + .menu_icon span:nth-child(2) {
	margin: 4px 0;
	/*3本線のときは表示*/
	opacity: 0;
}
.menu_toggle + .menu_icon span:nth-child(3) {
}

/* ボタンオープン */
.menu_toggle:checked + .menu_icon span {
	background-color: rgb(var(--color_text));
}
.menu_toggle:checked + .menu_icon span:nth-child(1) {
	transform: rotate(45deg);
	top: 4px;
	position: absolute;
}
.menu_toggle:checked + .menu_icon span:nth-child(2) {
	opacity: 0;
}
.menu_toggle:checked + .menu_icon span:nth-child(3) {
	transform: rotate(-45deg);
	top: 4px;
	position: absolute;
}
@media screen and (min-width: 769px) { /* PC用 メディアクエリー */
	.menu_wrap {
		top: 55px;
		right: 60px;
		width: 40px;
		height: 20px;
	}
	.menu_toggle + .menu_icon span:nth-child(2) {
		margin: 7px 0;
		/*3本線のときは表示*/
		opacity: 1;
	}
}
@media screen and (min-width: 769px) and (max-width: 1180px) { /* Tablet用 メディアクエリー */ 

}


/*
// グローバルメニュー
*/
.menu {
	position: fixed;
	top: 0;
	right: 0;
	background-color: rgb(var(--color_beige));
	width: 100vw;
	height: 100dvh;
	padding: 80px 60px 40px 60px;
	z-index: 9998;
	transform: translateX(100%);
	opacity: 0;
	overflow-y: auto;
	visibility: hidden;
	pointer-events: none;
	transition: transform 0.5s ease, opacity 0.5s ease, visibility 0s linear 0.5s;
}
.menu.js-active {
	display: block;
	opacity: 1;
	transform: translateX(0);
	visibility: visible;
	pointer-events: auto;
	transition: transform 0.5s ease, opacity 0.5s ease, visibility 0s;
}
.menu nav{}
.menu nav ul{
	gap: 1em 0;
	margin: 0;
}
.menu nav li{
	width: 100%;
	font-size: 1rem;
	list-style-type: none;
	color: #606060;
}
.menu nav li a{
	color: #606060;
	text-decoration: none;
}
.menu .mail{
	width: 45px;
	margin-top: 40px;
}
.menu .mail img{
	width: 100%;
	height: auto;
}
@media screen and (min-width: 769px) { /* PC用 メディアクエリー */
	.menu {
		width: 400px;
		padding: 200px 60px 60px 70px;
	}
	.menu nav li,
	.menu nav li a{
		font-size: 1.125rem;
	}
	.menu nav li a:hover{
		text-decoration: none;
		color: #999;
	}
	.menu .mail{
		width: 50px;
		margin-top: 60px;
	}
}
